# Uses of Interface
org.eclipse.emf.cdo.view.CDOQuery

Packages that use CDOQuery
Package
Description
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.

## Uses of CDOQuery in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOQuery
Modifier and Type
Method
Description
`CDOQuery`
CDOPushTransaction.`createQuery(String language, String queryString)`
`CDOQuery`
CDOPushTransaction.`createQuery(String language, String queryString, boolean considerDirtyState)`
`CDOQuery`
CDOPushTransaction.`createQuery(String language, String queryString, Object context)`
`CDOQuery`
CDOPushTransaction.`createQuery(String language, String queryString, Object context, boolean considerDirtyState)`
`CDOQuery`
CDOTransaction.`createQuery(String language, String queryString, boolean considerDirtyState)`
`CDOQuery`
CDOTransaction.`createQuery(String language, String queryString, Object context, boolean considerDirtyState)`

## Uses of CDOQuery in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return CDOQuery
Modifier and Type
Method
Description
`CDOQuery`
CDOView.`createQuery(String language, String queryString)`
Same as `createQuery(language, queryString, null)`.
`CDOQuery`
CDOView.`createQuery(String language, String queryString, Object context)`
`CDOQuery`
CDOQuery.`setContext(Object object)`
Binds an object as the context for this query.
`CDOQuery`
CDOQuery.`setMaxResults(int maxResults)`
Sets the maximum number of results to retrieve from the server.
`CDOQuery`
CDOQuery.`setParameter(String name, Object value)`
Binds an argument value to a named parameter.
`CDOQuery`
CDOQuery.`unsetParameter(String name)`
Removes the value of a named parameter.